<?php
/**
 * Fonctions utiles au plugin BigForm
 *
 * @plugin     BigForm
 * @copyright  2019
 * @author     tofulm
 * @licence    GNU/GPL
 * @package    SPIP\Bigform\Fonctions
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

/**
 * on transforme l'entree en parametre "accept" acceptable
 *
 * @param string|array $c recupération du env
 * @return string
 */
function bigform_tab_accept($c){
	if (empty($c)) {
		return "";
	} else if (is_array($c)) {
		return implode('&#44;', $c);
	} else {
		return $c;
	}
}
