<?php
if (!defined('_ECRIRE_INC_VERSION')){
	return;
}


/**
 * fonction de recuperation et liaison image / objet
 *
 * @param $id_objet
 * @param $mode
 * @return array tableau des id_document $Tid_doc
 */
function inc_bigform_traiter_dist($id_objet, $objet = 'article', $mode='auto', $secu = false) {
	include_spip('inc/joindre_document');
	set_request('joindre_upload','ok');

	$files = joindre_trouver_fichier_envoye();
	$html_titre = _request('html_titre');
	$html_ordre = _request('html_ordre');

	// calcul ordre des titres des files uploades
	$lesTitres = [];
	if (is_array($files) and is_array($html_ordre)){
		foreach ($files as $i => $t) {
			$index       = array_search($t['name'], $html_ordre);
			$lesTitres[] = $html_titre[$index];
		}
	}

	// en mode logoon, on va supprimer le (ou les) anciens logos. on récupère d'abord leurs id
	//if ($mode == 'logoon'){
		//$T_docs_objet = sql_allfetsel('id_document','spip_documents_liens',"id_objet=".intval($id_objet)." AND objet='" . $objet . "'");
	//}
	//

	/*
	 * On peut utiliser une fonction SPIP
	 * pour supprimer les logos
	 * Si aucune image n'est envoyée, $files est un string
	 * et dans ce cas on n'efface rien !
	 */
	if ($mode === 'logoon' and !is_string($files)) {
		include_spip('action/editer_logo');
		logo_supprimer($objet, $id_objet, 'on');
	}
	if ($mode === 'logooff' and !is_string($files)) {
		include_spip('action/editer_logo');
		logo_supprimer($objet, $id_objet, 'off');
	}

	$Tid_doc = [];
	if (is_array($files) and count($files)) {
		$ajouter_document = charger_fonction('ajouter_documents', 'action');
		$Tid_doc = $ajouter_document('new', $files, $objet, $id_objet,$mode);

		if (is_array($Tid_doc) and count($Tid_doc) and $secu) {
			include_spip('inc/bigform_securiser_doc');
			bigform_securiser_doc($Tid_doc);
		}
	}

	// si tout s'est bien passé, on supprime le/les anciens logos
	//if ($mode == 'logoon'){
		//foreach ($T_docs_objet as $i => $ligne) {
			//$id_doc = $ligne['id_document'];
			//if (sql_getfetsel('mode','spip_documents','id_document=' . intval($id_doc)) == 'logoon'){
				//sql_delete('spip_documents', 'id_document='.intval($id_doc));
				//sql_delete('spip_documents_liens', 'id_document='.intval($id_doc));
			//}
		//}
	//}

	if (!empty($html_titre) and count($Tid_doc)) {
		foreach ($Tid_doc as $i => $id_doc) {
			$titre = $lesTitres[$i];
			if ($titre) {
				sql_updateq('spip_documents', array("titre" => $titre), 'id_document='.intval($id_doc));
			}
		}
	}

	return $Tid_doc;
}
